package main

import (
	"go.wit.com/log"
)

var defaultBehavior bool = true

/*
var bookshelf bool // do you want things arranged in the box like a bookshelf or a stack?
var canvas bool    // if set to true, the windows are a raw canvas
var menubar bool   // for windows
var stretchy bool  // expand things like buttons to the maximum size
var padded bool    // add space between things like buttons
var margin bool    // add space around the frames of windows
*/

/*
var debugToolkit bool = false
var debugChange bool = false
var debugPlugin bool = false
var debugAction bool = false
var debugFlags bool = false
var debugGrid bool = false
var debugNow bool = true
var debugError bool = true
*/

// This is important. This sets the defaults for the gui. Without this, there isn't correct padding, etc

func (t *guiWidget) Dump(b bool) {
	if !b {
		return
	}
	log.Log(NOW, "Name  = ", t.Width, t.Height)
	if t.uiBox != nil {
		log.Log(NOW, "uiBox      =", t.uiBox)
	}
	if t.uiButton != nil {
		log.Log(NOW, "uiButton    =", t.uiButton)
	}
	if t.uiCombobox != nil {
		log.Log(NOW, "uiCombobox  =", t.uiCombobox)
	}
	if t.uiWindow != nil {
		log.Log(NOW, "uiWindow    =", t.uiWindow)
	}
	if t.uiTab != nil {
		log.Log(NOW, "uiTab       =", t.uiTab)
	}
	if t.uiGroup != nil {
		log.Log(NOW, "uiGroup     =", t.uiGroup)
	}
	if t.uiEntry != nil {
		log.Log(NOW, "uiEntry     =", t.uiEntry)
	}
	if t.uiMultilineEntry != nil {
		log.Log(NOW, "uiMultilineEntry =", t.uiMultilineEntry)
	}
	if t.uiSlider != nil {
		log.Log(NOW, "uiSlider    =", t.uiSlider)
	}
	if t.uiCheckbox != nil {
		log.Log(NOW, "uiCheckbox  =", t.uiCheckbox)
	}
}
